
	opt	noidw
	section sEc709fmpy

fmpy_ba 
	global fmpy_ba

   ;   save registers
	move	r2,y:(r6)+
	move	x0,y:(r6)+
	move	x1,y:(r6)+
	move	y0,y:(r6)+
	move	y1,y:(r6)+
	move	b0,y:(r6)+
	move	b1,y:(r6)

   ;   collect arguments off stack
	move	b1,x1
	move	b0,x0
	move	a0,b
	move	a1,a

   ; actually begin fmpy
	add     x0,b	#>$1fff,x0      ; er' = ex + ea,get ebias
        sub     x0,b    a,y1            ; subtract ebias from er',get ma
        mpy     x1,y1,a         b,r2    ; mr = mx * ma, get er'
        bra     norm1_ba		; normalize and check result

; normalize and round result - assumes a=mr', r2=er' and CCR reflects mr' value.

norm_ba
	dor	#8,LL1			; normalize up to 8 bits left or right
norm1_ba
	norm    r2,a                    ; shift 1 bit and update exponent by 1
LL1
        jnn     norm_ba			; jump if not normalized
	rnd     a                       ; round to 24 bit mr
        norm    r2,a                    ; correct mr overflow due to round

;
; detect and correct exceptions - assumes a=mr and r2=er
;

	btst	#15,r2
	bcs	<under_ba		; jump if exponent underflow
	btst	#14,r2
	bcs	<limit_ba		; jump if exponent overflow

	tst     a       r2,b            ; check mr, get er
        teq     a,b			; if mr=0, correct to fp zero
	move	b1,a0

	bra	done_ba

under_ba
	or      #$40,ccr                ; set L=1 for exponent underflow
zero_ba
	clr     a       #0,b            ; correct to fp zero
	bra	done_ba

limit_ba
	asl     a       #$003fff,y1     ; correct to maximum fp value
done1_ba
	tfr     y1,b    a,a             ; get mr and er, set L bit if mr limited
	move    b1,a0			; format for compiler storage

   ;   restore registers
done_ba
	move	y:(r6)-,b		;
	move	y:(r6)-,b0		;
	move	y:(r6)-,y1		;
	move	y:(r6)-,y0		;
	move	y:(r6)-,x1		;
	move	y:(r6)-,x0		;
	tst	a	y:(r6),r2	;
	rts

	endsec
