	opt	noidw
	section sEc709ljmp

	; a jmp_buf looks like this:
	;
	; <stack pointer> <--- element 0 of the array.
	; <continue pc>
	; <<callee-save registers>>

Fsetjmp
	global	Fsetjmp

	; a == the address of env[]

	move	a1,r0			; &env[0] -> r0
	move	ssh,a1			;
	nop
	move	a1,ssh
	nop
	move	r6,y:(r0)+		; env[0] = sp
	move	a1,y:(r0)+		; env[1] = return pc
	move	y1,y:(r0)+		; env[...] = callee-save regs
	move	y0,y:(r0)+
	move	r2,y:(r0)+
	move	n2,y:(r0)+
	move	r3,y:(r0)+
	move	n3,y:(r0)+
	move	r7,y:(r0)+
	clr	a	n7,y:(r0)
	rts

Flongjmp
	global	Flongjmp

	; a == the address of env[]
	; b == the "return" value

	move	a1,r0			; get pointer to env[].
	move	ssh,x0			; discard return address.
	nop
	move	y:(r0)+,r6		; s.p. = env[0]
	move	y:(r0)+,ssh		; restore return address.
	move	y:(r0)+,y1		; callee-save regs = env[...]
	move	y:(r0)+,y0
	move	y:(r0)+,r2
	move	y:(r0)+,n2
	move	y:(r0)+,r3
	move	y:(r0)+,n3
	tfr	b,a	y:(r0)+,r7
	tst	a	y:(r0),n7
	bne	<_done			; ensure a non-zero retval.

	clr	a
	add	#1,a

_done
	rts

	endsec
