
	opt	noidw
	section sEc709fmpy

fmpy_ab 
	global fmpy_ab

   ;   save registers
	move	r2,x:(r6)+
	move	x0,x:(r6)+
	move	x1,x:(r6)+
	move	y0,x:(r6)+
	move	y1,x:(r6)+
	move	a0,x:(r6)+
	move	a1,x:(r6)

   ;   collect arguments off stack
	move	a1,x1
	move	a0,x0
	move	b1,a
	move	b0,b

   ; actually begin fmpy
	add     x0,b	#>$1fff,x0      ; er' = ex + ea,get ebias
        sub     x0,b    a,y1            ; subtract ebias from er',get ma
        mpy     x1,y1,a         b,r2    ; mr = mx * ma, get er'
        bra     norm1_ab		; normalize and check result

; normalize and round result - assumes a=mr', r2=er' and CCR reflects mr' value.

norm_ab
	dor	#8,LL2			; normalize up to 8 bits left or right
norm1_ab
	norm    r2,a                    ; shift 1 bit and update exponent by 1
LL2
        jnn     norm_ab			; jump if not normalized
	rnd     a                       ; round to 24 bit mr
        norm    r2,a                    ; correct mr overflow due to round

;
; detect and correct exceptions - assumes a=mr and r2=er
;

	btst	#15,r2
	bcs	<under_ab		; jump if exponent underflow
	btst	#14,r2
	bcs	<limit_ab		; jump if exponent overflow

	tst     a       r2,b            ; check mr, get er
        teq     a,b			; if mr=0, correct to fp zero
	move	b1,a0

	bra	done_ab

under_ab
	or      #$40,ccr                ; set L=1 for exponent underflow
zero_ab
	clr     a       #0,b            ; correct to fp zero
	bra	done_ab

limit_ab
	asl     a       #$003fff,y1     ; correct to maximum fp value
done1_ab
	tfr     y1,b    a,a             ; get mr and er, set L bit if mr limited
	move    b1,a0			; format for compiler storage

   ;   restore registers
done_ab
	tfr	a,b	x:(r6)-,a
	move	x:(r6)-,a0		;
	move	x:(r6)-,y1		;
	move	x:(r6)-,y0		;
	move	x:(r6)-,x1		;
	move	x:(r6)-,x0		;
	tst	b	x:(r6),r2	;
	rts

	endsec
