
	opt	noidw
	section	udivmod

; ****** Unsigned Integer Division (24-bit precision) ******
;
; Note: Remember to check for divide by zero
;
undiv24_
	global	undiv24_

; Setup register for setting Q(n-1) = 1, x0 also used to compl carry bit
	move	#$0,x1
	move	#>$1,x0

; Divide Iteration
	dor	#$18,DIV_LOOP

	subl	b,a
	bcc	<C_CLEAR
	add	b,a			; set LSB of A Accumulator to a "1"
	bra	<C_DONE
C_CLEAR
	add	x,a			; 48-bit increment
C_DONE
	nop
DIV_LOOP
	rts

	endsec
