/* Copyright (C) 1995, by Motorola, Inc. */

long
atol( char *p )
{
   long n;
   int c, neg = 0;

   if ( ! isdigit( c = *p ) )
   {
      while ( isspace( c ) )
      {
         c = *++p;
      }

      switch ( c )
      {
         case '-':
            neg++;

	 /* fall-through */
         case '+':
            c = *++p;
      }

      if ( ! isdigit( c ) )
      {
         return (0);
      }
   }

   for ( n = '0' - c ; isdigit( c = *++p ); )
   {
      n *= 10;
      n += '0' - c;
   }

   return ( neg ? n : -n );
}
