/* Copyright (C) Motorola, 1990, 1992, 1995 */

#include <errno.h>
#include <stdio.h>

long
__lseek( int descriptor, long offset, int whence )
{
    int retval, buffer[4];

    buffer[0] = DSP_LSEEK;
    buffer[1] = descriptor;
    buffer[2] = offset;
    buffer[3] = whence;

    __send ( buffer, 4 );
    __receive ( buffer );
    
    if ( 0 > ( retval = buffer[0] ))
    {
	errno = buffer[1];
    }
    return retval;
}
