/* Copyright (C) 1995, by Motorola, Inc. */

#include <stddef.h>

#undef memcpy

void*
memcpy( void* s1, const void* s2, size_t n )
{
   char* c_s1 = (char*) s1, *c_s2 = (char*) s2;

   while ( n-- > 0 )
   {
      *c_s1++ = *c_s2++;
   }

   return ( s1 );
}
