/* Copyright (C) 1995, by Motorola, Inc. */

#include <stddef.h>

char*
strncpy( char* s1, const char* s2, size_t n )
{
   char *orig_s1 = s1;

   while ( ( n > 0 ) && ( ( *s1++ = *s2++ ) != '\0' ) )
   {
       n-- ;
   }
   

   /* zero pad */
   if ( n > 0 )
   {
      while ( n-- > 0 )
      {
         *s1++ = '\0';
      }
   }

   return ( orig_s1 );
}
