/* Copyright (C) Motorola 1990, 1991, 1992, 1995 */

#include <stdio.h>
#include <stddef.h>
#include <errno.h>

/* this function may be registered with atexit ( ) to flush all stdio
   buffers when the program terminates. */

int __already_registered_p;

void
__stdio_cleanup ( void )
{
    (void) fflush ( NULL );
}

int
__write ( int descriptor, void *data, size_t nmemb )
{
    int retval, buffer[3];
    
    buffer[0] = DSP_WRITE;
    buffer[1] = descriptor;
    buffer[2] = nmemb;

    __send ( buffer, 3 );
    __send ( data, nmemb );
    
    __receive ( buffer );
    
    if ( 0 > ( retval = buffer[0] ))
    {
	errno = buffer[1];
    }
    return retval;
}
