/*******************************************************************************
 * C H A M E L E O N    S. D. K.                                               *
 *******************************************************************************
 *  $Archive:: /Chameleon.sdk/include/chameleon/info.h                         $
 *     $Date:: 18/02/02 11:55                                                  $
 * $Revision:: 4                                                               $
 *-----------------------------------------------------------------------------*
 * This file is part of the Chameleon Software Development Kit                 *
 *                                                                             *
 * Copyright (C) 2001-2002 Soundart                                            *
 * www.soundart-hot.com                                                        *
 * support@soundart-hot.com                                                    *
 ******************************************************************************/

#ifndef __RTEMS_INFO__
#define __RTEMS_INFO__

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************/

#define INFO_IOCTL_GET_SERIAL_NUMBER		0x00
#define INFO_IOCTL_GET_MODEL			0x01

/******************************************************************************/

rtems_boolean info_get_serial_number(char serial_number[11]);
rtems_boolean info_get_model(rtems_unsigned8 *model);

/******************************************************************************/

#ifdef __cplusplus
}
#endif

#endif

