/*******************************************************************************
 * C H A M E L E O N    S. D. K.                                               *
 *******************************************************************************
 *  $Archive:: /Chameleon.sdk/include/chameleon/panel01.h                      $
 *     $Date:: 18/02/02 11:55                                                  $
 * $Revision:: 4                                                               $
 *-----------------------------------------------------------------------------*
 * This file is part of the Chameleon Software Development Kit                 *
 *                                                                             *
 * Copyright (C) 2001-2002 Soundart                                            *
 * www.soundart-hot.com                                                        *
 * support@soundart-hot.com                                                    *
 ******************************************************************************/

#ifndef __PANEL01_H__
#define __PANEL01_H__

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************/

#define PANEL01_LED_CTRL3		0x01000000
#define PANEL01_LED_CTRL2		0x02000000
#define PANEL01_LED_CTRL1		0x04000000
#define PANEL01_LED_SHIFT		0x08000000
#define PANEL01_LED_EDIT		0x10000000

#define PANEL01_POT_VOLUME		0x00
#define PANEL01_POT_CTRL1		0x01
#define PANEL01_POT_CTRL2		0x02
#define PANEL01_POT_CTRL3		0x03

#define PANEL01_KEY_GROUP_UP		0x01000000
#define PANEL01_KEY_PAGE_UP		0x02000000
#define PANEL01_KEY_GROUP_DOWN		0x04000000
#define PANEL01_KEY_PAGE_DOWN		0x08000000
#define PANEL01_KEY_PARAM_UP		0x10000000
#define PANEL01_KEY_VALUE_UP		0x20000000
#define PANEL01_KEY_PARAM_DOWN		0x40000000
#define PANEL01_KEY_VALUE_DOWN		0x80000000
#define PANEL01_KEY_EDIT		0x00010000
#define PANEL01_KEY_PART_UP		0x00020000
#define PANEL01_KEY_SHIFT		0x00040000
#define PANEL01_KEY_PART_DOWN		0x00080000

/******************************************************************************/

#ifdef __cplusplus
}
#endif

#endif

