/*******************************************************************************
 * C H A M E L E O N                                                           *
 *******************************************************************************
 *  $Archive:: /Chameleon.sdk/src/examples/MONOSYNTH/MonoSynthPanelModeAssign. $
 *     $Date:: 13/05/02 20:11                                                  $
 * $Revision:: 1                                                               $
 *-----------------------------------------------------------------------------*
 * Copyright (C) 2001-2002 Soundart                                            *
 * www.soundart-hot.com                                                        *
 * support@soundart-hot.com                                                    *
 ******************************************************************************/

#ifndef __MONOSYNTH_PANEL_MODE_ASSIGN_H__
#define __MONOSYNTH_PANEL_MODE_ASSIGN_H__

#include "PanelModeHandler.h"

////////////////////////////////////////////////////////////////////////////////

class CMonoSynthPanelModeAssign : public CPanelModeHandler
{
private:
	int 	 m_nModeBefore;
	rtems_id m_idTimer;
	WORD	 m_wSelectedID;

public:
	virtual BOOL Initialize(CPanel *pPanel);

	virtual void BeginMode(int nModeBefore);
	virtual void EndMode(void);

	virtual void OnPotentiometer(BYTE byPot, BYTE byValue);
	virtual void OnEncoder(BYTE byEncoder, char nInc);
	virtual void OnKeypad(DWORD dwKeyBits);
	virtual void OnTimer(rtems_id timer_id);
	virtual void OnParameterChanged(WORD wID);
	virtual void OnPresetChanged(BYTE byPreset);

	virtual void Display(void);
};

////////////////////////////////////////////////////////////////////////////////

#endif
