/*******************************************************************************
 * C H A M E L E O N                                                           *
 *******************************************************************************
 *  $Archive:: /Chameleon.sdk/src/examples/MONOSYNTH/MonoSynthParameters.h     $
 *     $Date:: 13/05/02 20:11                                                  $
 * $Revision:: 1                                                               $
 *-----------------------------------------------------------------------------*
 * Copyright (C) 2001-2002 Soundart                                            *
 * www.soundart-hot.com                                                        *
 * support@soundart-hot.com                                                    *
 ******************************************************************************/

#ifndef __MONOSYNTH_PARAMETERS_H__
#define __MONOSYNTH_PARAMETERS_H__

#include "parameters.h"

//////////////////////////////////////////////////////////////////////////////
enum
{
	kParameterNone = 0,
	
	kPotMasterVolume,
	kPotController1,
	kPotController2,
	kPotController3,

	kGlobalInputThru,
	kGlobalMidiChannel,
	kGlobalMidiThru,
	kGlobalMidiDeviceID,

	kOsc1Waveform,
	kOsc1Transpose,
	kOsc1Volume,

	kOsc2Waveform,
	kOsc2Transpose,
	kOsc2Detune,
	kOsc2Volume,

	kMixNoiseVolume,
	kMixInputVolume,

	kFilterCutoff,
	kFilterResonance,
	kFilterEnvDepth,
	kFilterKeyDepth,
	
	kFilterEnvAttack,
	kFilterEnvDecay,
	kFilterEnvSustain,
	kFilterEnvRelease,

	kAmpEnvDepth,
	kAmpKeyDepth,

	kAmpEnvAttack,
	kAmpEnvDecay,
	kAmpEnvSustain,
	kAmpEnvRelease,
	
	kDelayLeftLevel,
	kDelayLeftTime,
	kDelayLeftFeedback,
	kDelayRightLevel,
	kDelayRightTime,
	kDelayRightFeedback,
	
	kPotControllerAssign1,
	kPotControllerAssign2,
	kPotControllerAssign3,
};

//////////////////////////////////////////////////////////////////////////////

#endif
