
	opt	noidw
	section sEc709consv

; this file contains routines that are required when the -mconserve-p-mem
; flag is used with the compiler. all are used to implement code that 
; would otherwise be generated inline.

	org	p:

; these routines are used to push and pop registers with a minimum of 
; code expansion.

push_regs
	global	push_regs

	move	y0,y:(r6)+
	move	y1,y:(r6)+
	move	r2,y:(r6)+
	move	r3,y:(r6)+
	move	r7,y:(r6)+
	move	n2,y:(r6)+
	move	n3,y:(r6)+
	move	n7,y:(r6)+
	rts
	
prolog
	global	prolog

	move	(r6)+n6
	move	ssh,n6
	move	ssh,y:(r6)+
	move	n6,ssh
	bsr	push_regs
	rts

pop_regs
	global	pop_regs
	move	(r6)-
	move	y:(r6)-,n7
	move	y:(r6)-,n3
	move	y:(r6)-,n2
	move	y:(r6)-,r7
	move	y:(r6)-,r3
	move	y:(r6)-,r2
	move	y:(r6)-,y1
	tst	a	y:(r6),y0
	rts

epilog
	global	epilog

	bsr	pop_regs
	move	y:-(r6),ssh
	move	(r6)-n6
	rts

	endsec
