/* Copyright (C) 1990, 1991, 1992, 1995 Motorola, Inc. */

#include <stdlib.h>
#include <stdio.h>

/* ANSI requires the user to have 32 entries, and we need one for 
   stdio buffer cleanup. */
#define MAX_EXIT_FUNCTIONS 32 + 1

extern void ( * __exit_function_registry[] ) ( void );
extern int __functions_registered;
    
int
atexit ( void ( * func ) ( void ))
{
    if ( MAX_EXIT_FUNCTIONS == __functions_registered )
    {
	return -1;
    }

    __exit_function_registry[ __functions_registered ++ ] = func;
    
    return 0;
}
