/* Copyright (C) 1995, by Motorola, Inc. */

#include <stddef.h>

# if ! defined( NULL )
# define	NULL	(void*) 0
# endif


extern char* malloc( unsigned );
extern char* memset( void* dest, const void* src, size_t len);
extern void free( char* );


char *
calloc( unsigned elt_count, unsigned elt_size)
{
    char *memory_pointer;

    if ( 0 == elt_count || 0 == elt_size )
    {
	return NULL;
    }
    
    if ( NULL != ( memory_pointer = malloc(elt_count *= elt_size) ) )
    {
	(void) memset(memory_pointer, 0, elt_count);
    }

    return( memory_pointer );
}



void
cfree( char* ptr )
{
   free( ptr );
}
