/* Copyright (C) 1995, Motorola, Inc. */

#include <stdio.h>

/*
 * FEOF():
 *    The goal here is to check to see if the EOF indicator has been set.
 *
 * function return value:
 *    According to the ANSI definition, the feof function returns nonzero if
 *    and only if the EOF indicator is set for the stream.
 *
 * ERRNO:
 *    unused.
 */

int
feof( FILE *stream )
{
    if ( stream->_flag & _IOEOF )
    {
	return 1;
    }
    else
    {
	return 0;
    }
}
