/* Copyright (C) 1995, Motorola, Inc. */

#include <stdio.h>

/*
 * FERROR():
 *    The goal here is to check to see if the error indicator has been set.
 *
 * function return value:
 *    According to the ANSI definition, the ferror function returns nonzero if
 *    and only if the error indicator is set for the stream.
 *
 * ERRNO:
 *    unused.
 */

int
ferror( FILE *stream )
{
    if ( stream->_flag & _IOERR )
    {
	return 1;
    }
    else
    {
	return 0;
    }
}
