/* Copyright (C) 1995, by Motorola, Inc. */

#include <stddef.h>

#undef memchr

void*
memchr( const void *s, int c, size_t n )
{
   char* orig_s = (char*) s;

   while ( n -- > 0 )
   {
      if ( *orig_s++ == c )
      {
         return ( (void*) --orig_s );
      }
   }

   return ( (void*) 0 );
}
