/* Copyright (C) 1995, by Motorola, Inc. */

#include <stddef.h>

int
memcmp( const void* s1, const void* s2, size_t n)
{
   int diff;
   char* c_s1 = (char*) s1, *c_s2 = (char*) s2;

   if ( s1 != s2 )
   {
      while ( n-- > 0 )
      {
         if ( diff = *c_s1++ - *c_s2++ )
	 {
            return ( diff );
	 }
      }
   }

   return ( 0 );
}
