/* Copyright (C) 1995, by Motorola, Inc. */

#include <math.h>
#include <limits.h>

#undef modf

double
modf( double value, double *iptr )
{
    if ((((double) INT_MAX ) < value ) || (((double) INT_MIN ) > value ))
    {
	*iptr = value;
	
	return 0.0;
    }
    
    *iptr = (double) (int) value;
    value = value - *iptr;
    
    return value;
}
