/* Copyright (C) 1995, by Motorola, Inc. */

#include <stdarg.h>
#include <stdio.h>


/* globally defined functions */
extern int __doprnt ( FILE*, const char*, va_list );

int
printf ( const char *format, ... )
{
    va_list ap;
    
    va_start ( ap, format );
    return __doprnt( stdout, format, ap );
}

int
fprintf ( FILE *stream, const char *format, ... )
{
    va_list ap;
    
    va_start ( ap, format );
    return __doprnt( stream, format, ap );
}
