/* Copyright (C) 1990, 1995, by Motorola, Inc. */

#include <stddef.h>
#include <errno.h>
#include <stdio.h>

int
__read ( int descriptor, void* data, size_t nmemb )
{
    int retval, buffer[3];
    
    buffer[0] = DSP_READ;
    buffer[1] = descriptor;
    buffer[2] = nmemb;
    
    __send ( buffer, 3 );
    
    __receive ( data );
    __receive ( buffer );
    
    if ( 0 > ( retval = buffer[0] ))
    {
	errno = buffer[1];
    }
    return retval;
}
