/* Copyright (C) 1995, by Motorola, Inc. */

#include <stdio.h>
#include <errno.h>

int
__rename( const char* old_name, const char* new_name )
{
    int retval, buffer[2];
    int old_path_length = strlen ( old_name );
    int new_path_length = strlen ( new_name );

    buffer[0] = DSP_RENAME;
    buffer[1] = (( old_path_length > new_path_length )
		 ? old_path_length : new_path_length ) + 1;
    
    __send ( buffer, 2 );
    __send ( old_name, strlen ( old_name ) + 1 );
    __send ( new_name, strlen ( new_name ) + 1 );
    
    __receive ( buffer );
    
    if ( 0 > ( retval = buffer[0] ))
    {
	errno = buffer[1];
    }
    return retval;
}
