/* Copyright (C) 1995, by Motorola, Inc. */

#include <string.h>

#undef strerror

/* NOTE: this table must be kept in sync with errno.h. */

static char* string_table[] =
{
    "no error",
    "domain error",
    "range error",
    "out of heap memory",
    "bad format for conversion string",
};

char*
strerror ( int errnum )
{
    return string_table[ errnum ];
}
