/* Copyright (C) 1995, by Motorola, Inc. */

#include <stdio.h>
#include <stdlib.h>

/*
 * TMPFILE():
 *    The goal here is to
 *
 * Note:
 *    function return value:
 *
 *    ERRNO:
 */

FILE*
tmpfile( void )
{
    FILE *temp;
    char *name, *tmpnam();
    extern char *__temp_names[];
    
    /* generate a temporary name */
    if ( NULL == ( name = malloc ( L_tmpnam )))
    {
	return NULL;
    }

    name = tmpnam( name );

    /* open a binary update stream */
    if ( ( temp = fopen( name, "wb+" ) ) == NULL )
    {
	/* error has occured */
	return NULL;
    }

    __temp_names[temp->_file] = name;
    
    return temp;
}
