;*******************************************************************************
; C H A M E L E O N    S. D. K.                                                *
;*******************************************************************************
;  $Archive:: /Chameleon.sdk/src/examples/levelmeter/dsp/main_loop_sim.asm     $
;     $Date:: 14/05/02 19:03                                                   $
; $Revision:: 4                                                                $
;------------------------------------------------------------------------------*
; This file is part of the Chameleon Software Development Kit                  *
;                                                                              *
; Copyright (C) 2001-2002 Soundart                                             *
; www.soundart-hot.com                                                         *
; support@soundart-hot.com						       *
;*******************************************************************************


;*******************************************************************************
;  Main Loop for the level meter application with simulator specific code
;*******************************************************************************

	DO #SIM_LOOP_SIZE,End_Simulation_Loop

	MOVE	#0.999999999,X0			; In simulation mode, use a constant
						; volume value 

	;**********************************************************************
	; Loop for the two channels
	;**********************************************************************

	DO	#2,ChannelLoop

	  MOVEP	X:<<RX0,Y0			; Get new input sample in Y0
	  MPY	X0,Y0,A				; Scale the input sample with the volume value

	  BSR	ComputeEnvelope			; Calculate the envelope value

	  MOVEP	B,Y:$FFFFEF			; Move the result to the simulator
						; output file
	  BSR	UpdateLevels

	  NOP

ChannelLoop:

	  NOP					; To nest DO loops properly

End_Simulation_Loop:

	NOP					; Dummie nop to breakpoint at the 
						; simulation loop end
