/*******************************************************************************
 * C H A M E L E O N    S. D. K.                                               *
 *******************************************************************************
 *  $Archive:: /Chameleon.sdk/src/examples/midimon/main.c                      $
 *     $Date:: 18/02/02 11:53                                                  $
 * $Revision:: 2                                                               $
 *-----------------------------------------------------------------------------*
 * This file is part of the Chameleon Software Development Kit                 *
 *                                                                             *
 * Copyright (C) 2001-2002 Soundart                                            *
 * www.soundart-hot.com                                                        *
 * support@soundart-hot.com                                                    *
 ******************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <rtems.h>
#include <midishare.h>
#include <chameleon.h>
#include "main.h"

/******************************************************************************/
#define WORKSPACE_SIZE	128*1024
rtems_unsigned32 rtems_workspace_size = WORKSPACE_SIZE;
rtems_unsigned32 rtems_workspace_start[WORKSPACE_SIZE];
/******************************************************************************/

LinearizeMthTbl	lTbl;

const char* gNoteNames[12] = { "C", "C#", "D", "Eb", "E", "F", "F#", "G", "G#", "A", "Bb", "B" };

rtems_task rtems_main(rtems_task_argument ignored)
{
	MidiStreamInitMthTbl(lTbl);

	create_panel_task();
	create_console_task();

	rtems_task_delete(RTEMS_SELF);
}
