/*******************************************************************************
 * C H A M E L E O N    S. D. K.                                               *
 *******************************************************************************
 *  $Archive:: /Chameleon.sdk/src/examples/midimon/main.h                      $
 *     $Date:: 18/02/02 11:53                                                  $
 * $Revision:: 2                                                               $
 *-----------------------------------------------------------------------------*
 * This file is part of the Chameleon Software Development Kit                 *
 *                                                                             *
 * Copyright (C) 2001-2002 Soundart                                            *
 * www.soundart-hot.com                                                        *
 * support@soundart-hot.com                                                    *
 ******************************************************************************/

#ifndef __MAIN_H__
#define __MAIN_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <EventToMidiStream.h>
#include <MidiStreamToEvent.h>

#define EVENT_MIDI	RTEMS_EVENT_1

extern LinearizeMthTbl	lTbl;
extern const char* gNoteNames[12];

rtems_boolean create_panel_task(void);
rtems_boolean create_console_task(void);

#ifdef __cplusplus
}
#endif

#endif
