/*******************************************************************************
 * C H A M E L E O N                                                           *
 *******************************************************************************
 *  $Archive:: /Chameleon.sdk/src/examples/MONOSYNTH/MonoSynthPanelModeInit.h  $
 *     $Date:: 13/05/02 20:11                                                  $
 * $Revision:: 1                                                               $
 *-----------------------------------------------------------------------------*
 * Copyright (C) 2001-2002 Soundart                                            *
 * www.soundart-hot.com                                                        *
 * support@soundart-hot.com                                                    *
 ******************************************************************************/

#ifndef __MONOSYNTH_PANEL_MODE_INIT_H__
#define __MONOSYNTH_PANEL_MODE_INIT_H__

#include "PanelModeHandler.h"

////////////////////////////////////////////////////////////////////////////////

class CMonoSynthPanelModeInit : public CPanelModeHandler
{
private:
	rtems_id m_idTimer;

private:
	void Exit(void);

public:
	virtual BOOL Initialize(CPanel *pPanel);

	virtual void BeginMode(int nModeBefore);
	virtual void EndMode(void);

	virtual void OnKeypad(DWORD dwKeyBits);
	virtual void OnTimer(rtems_id idTimer);

	virtual void Display(void);
};

////////////////////////////////////////////////////////////////////////////////

#endif
