/*******************************************************************************
 * C H A M E L E O N                                                           *
 *******************************************************************************
 *  $Archive:: /Chameleon.sdk/src/examples/MONOSYNTH/MonoSynthPanelModeMidi.h  $
 *     $Date:: 13/05/02 20:11                                                  $
 * $Revision:: 1                                                               $
 *-----------------------------------------------------------------------------*
 * Copyright (C) 2001-2002 Soundart                                            *
 * www.soundart-hot.com                                                        *
 * support@soundart-hot.com                                                    *
 ******************************************************************************/

#ifndef __MONOSYNTH_PANEL_MODE_MIDI_H__
#define __MONOSYNTH_PANEL_MODE_MIDI_H__

#include "PanelModeHandler.h"

////////////////////////////////////////////////////////////////////////////////

class CMonoSynthPanelModeMidi : public CPanelModeHandler
{
private:
	enum
	{
		kMidiDumpFullBank = 0,
		kMidiDumpCurrentPreset,
		kMidiMaxEntries
	};

private:
	rtems_id m_idTimer;

	int m_nCurrentMenu;
	BOOL m_bStatus;

public:
	virtual BOOL Initialize(CPanel *pPanel);

	virtual void BeginMode(int nModeBefore);
	virtual void EndMode(void);

	virtual void OnKeypad(DWORD dwKeyBits);
	virtual void OnTimer(rtems_id idTimer);

	virtual void Display(void);
};

////////////////////////////////////////////////////////////////////////////////

#endif
