/*******************************************************************************
 * C H A M E L E O N                                                           *
 *******************************************************************************
 *  $Archive:: /Chameleon.sdk/src/examples/MONOSYNTH/parameters.cpp            $
 *     $Date:: 13/05/02 20:11                                                  $
 * $Revision:: 1                                                               $
 *-----------------------------------------------------------------------------*
 * Copyright (C) 2001-2002 Soundart                                            *
 * www.soundart-hot.com                                                        *
 * support@soundart-hot.com                                                    *
 ******************************************************************************/

#include <rtems.h>
#include <chameleon.h>

#include "hash.h"
#include "parameters.h"

//////////////////////////////////////////////////////////////////////////////
static CHashTable m_hashTable;
//////////////////////////////////////////////////////////////////////////////

CParameter *GetParameterFromID(WORD wID)
{
	return (CParameter *) m_hashTable.LookUp(wID);
}

void RegisterParameter(WORD wID, CParameter *pParameter)
{
	m_hashTable.Add(wID, pParameter);
}

void UnregisterParameter(WORD wID)
{
	m_hashTable.Add(wID, NULL);
}

//////////////////////////////////////////////////////////////////////////////
